%define upstream_name    File-FnMatch
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Simple filename and pathname matching
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/~mjp/%{upstream_name}-%{upstream_version}/FnMatch.pm
Source0:	http://search.cpan.org//CPAN/authors/id/M/MJ/MJP/File-FnMatch-0.02.tar.gz

BuildRequires:	perl-devel

%description
File::FnMatch::fnmatch() provides simple, shell-like pattern matching.

Though considerably less powerful than regular expressions, shell patterns
are nonetheless useful and familiar to a large audience of end-users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/*/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-10.mga4
+ Revision: 524075
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.20.0-9.mga4
+ Revision: 429930
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-8.mga3
+ Revision: 367256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 dmorgan <dmorgan> 0.20.0-7.mga3
+ Revision: 328992
- Rebuild for missing signature

* Sat Jun 11 2011 sander85 <sander85> 0.20.0-6.mga2
+ Revision: 103628
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.20.0-5.mga1
+ Revision: 23767
- rebuild

* Tue Jan 18 2011 blino <blino> 0.20.0-4.mga1
+ Revision: 23265
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-File-FnMatch


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.20.0-3mdv2011.0
+ Revision: 564435
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.20.0-2mdv2011.0
+ Revision: 555284
- rebuild

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 409299
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.02-5mdv2009.1
+ Revision: 351748
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.02-4mdv2009.0
+ Revision: 223732
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.02-3mdv2008.1
+ Revision: 152076
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-2mdv2008.0
+ Revision: 23410
- rebuild


* Tue May 16 2006 Olivier Blin <oblin@mandriva.com> 0.02-1mdk
- initial Mandriva release

